Zeitgeist.QueuedProxyWrapper – zeitgeist-2.0 Reference Manual

# QueuedProxyWrapper

## Object Hierarchy:

## Description:

protected abstract class QueuedProxyWrapper : `Object`
All known sub-classes:

- DataSourceRegistry

- Index

- Log

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Classes:

- QueuedMethod -

### Properties:

- public `bool` proxy_created { get; }
- public `bool` is_connected { get; }

### Creation methods:

- public QueuedProxyWrapper ()

### Methods:

- protected void proxy_acquired (`Object` proxy)
- protected void proxy_unavailable (`IOError` err)
- protected void process_queued_methods ()
- protected void name_owner_changed (`ParamSpec` pspec)
- protected abstract void on_connection_established ()
- protected abstract void on_connection_lost ()
- protected async void wait_for_proxy () throws `Error`

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count